.Container {
  display: flex;
  justify-content: space-between;
  padding: 20px 10%;

  .Icon {
    margin-right: 20px;
  }

  .OptionsContainer {
    display: flex;
    justify-content: center;
    align-self: center;
    margin-right: 20%;

    .SearchEdit {
      width: 392px;
      margin-right: 24px;
    }

    .CheckboxesContainer {
      display: flex;
      flex-wrap: nowrap;
    }
  }

  .ProfilePicture {
    img {
      width: 48px;
      height: 48px;
      margin: auto;
      border-radius: 50%;
    }
  }
}

@media (max-width: 1024px) {
  .Container {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: repeat(2, auto);

    div:first-of-type {
      grid-column: 1;
      grid-row: 1;
      justify-content: start;
    }

    .OptionsContainer {
      justify-content: left;
      flex-wrap: wrap;
      grid-column: span 3;
      grid-row: 2;
      margin: 15px 0;


      .SearchEdit {
        margin-bottom: 15px;
      }

      .CheckboxesContainer {
        margin-bottom: 15px;
      }
    }

    .IconWithSelect {
      grid-column: 3;
      display: flex;
      justify-content: flex-end;

      .ProfilePicture {
        img {
          margin: 0;
        }
      }
    }
  }
}

@media (max-width: 1024px) {
  .Container {
    .OptionsContainer {
      .SearchEdit {
        width: 100%;
        margin-right: 0;
      }
    }
  }
}
